Bug 1257942 - (CVE-2015-3280) CVE-2015-3280 openstack-nova: Deleting instances in resize state fails
CVE-2015-3280 openstack-nova: Deleting instances in resize state fails
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150901,repor...
: Security
Depends On: 1263019 1263020 1263022 1264278 1264279 1264280
Blocks: 1232783 1257947
  Show dependency treegraph
 
Reported: 2015-08-28 08:34 EDT by Adam Mariš
Modified: 2016-04-26 10:19 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way OpenStack Compute (nova) handled the resize state. If an authenticated user deleted an instance while it was in the resize state, it could cause the original instance to not be deleted from the compute node it was running on, allowing the user to cause a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 17:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 219299 None None None Never
OpenStack gerrit 219300 None None None Never
OpenStack gerrit 219301 None None None Never

  None (edit)
Description Adam Mariš 2015-08-28 08:34:54 EDT
It was reported from upstream that a vulnerability was found in Nova resize state. If an authenticated user deletes an instance while it is in resize state, it will cause the original instance to not be deleted from the compute node it was running on. An attacker can use this to launch a denial of service attack. All Nova setups are affected.

Affected versions: 2014.2 versions through 2014.2.3, and 2015.1 versions through 2015.1.1
Comment 6 Garth Mollett 2015-09-14 19:18:16 EDT
Created openstack-nova tracking bugs for this issue:

Affects: openstack-rdo [bug 1263019]
Comment 7 Garth Mollett 2015-09-14 19:18:52 EDT
Created openstack-nova tracking bugs for this issue:

Affects: fedora-all [bug 1263020]
Comment 10 Matthew Booth 2015-09-18 09:53:13 EDT
Please see upstream commits rather than patches attached to this bz.
Comment 11 Summer Long 2015-10-14 20:30:30 EDT
Acknowledgements:

Red Hat would like to thank the OpenStack upstream project for reporting this issue. Upstream acknowledges George Shuklin from Webzilla LTD and Tushar Patil from NTT DATA, Inc. as the original reporters.
Comment 12 errata-xmlrpc 2015-10-15 08:31:36 EDT
This issue has been addressed in the following products:

  OpenStack 7 For RHEL 7
  OpenStack 5 for RHEL 6
  OpenStack 5 for RHEL 7
  OpenStack 6 for RHEL 7

Via RHSA-2015:1898 https://rhn.redhat.com/errata/RHSA-2015-1898.html

Note You need to log in before you can comment on or make changes to this bug.